﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Imageupload.Models;
namespace Imageupload.Controllers
{
    public partial class FileUploadController: Controller
    {
        private GalleryStorageEntities db = new GalleryStorageEntities();
        public ActionResult FileUploadFeatures()
        {
              return View();
         }
        [HttpPost]
        public ActionResult SaveDefault(ImageDetails datas)
        {
            foreach (var file in datas.UploadDefault)
            {
                UserImage imgdata = new UserImage();
                imgdata.UserName = User.Identity.Name;
                imgdata.ImageDate = DateTime.Now;
                imgdata.ImageLikes = 0;
                imgdata.ImageViewers = 0;
                imgdata.ImageName = datas.ImageName ?? file.FileName;
                imgdata.ImageAlt = datas.Description;
                imgdata.ContentType = file.ContentType;
                Int32 length = file.ContentLength;
                byte[] tempImage = new byte[length];
                file.InputStream.Read(tempImage, 0, length);
                imgdata.ImageBinary = tempImage;
                db.UserImages.Add(imgdata);
                db.SaveChanges();
            }
            return RedirectToAction("FileUploadFeatures");
        }

         public ActionResult RemoveDefault(string[] fileNames)
         {
             foreach (var fullName in fileNames)
             {
                 var fileName = Path.GetFileName(fullName);
                 var physicalPath = Path.Combine(Server.MapPath("~/App_Data"), fileName);
                 if (System.IO.File.Exists(physicalPath))
                 {
                     System.IO.File.Delete(physicalPath);
                 }
             }
             return Content("");
         } 
    }

}
